import Vue from 'vue';
import { getTicketFun } from '@/utils/TXApiFun';
// 微信JSSDK实例
const wx = Vue.prototype.wx;
import { wxLogin } from '@/api/digest';

export function WXdigest() {
  getTicketFun(['getCurExternalContact'], 'agentConfig')
    .then((res) => {
      // 获取用户code
      // getWeChatCode();
    })
    .catch((err) => {
      console.log(err);
    });
}

function getWeChatCode() {
  wx.invoke('getCurExternalContact', {}, (res) => {
    if (res.err_msg === 'getCurExternalContact:ok') {
      console.log(res);
    } else {
      console.log(res);
    }
  });
}
